﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestFont
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void radioButton_CheckedChanged(object sender, EventArgs e)
        {
            RadioButton button = sender as RadioButton;
            if (button != null && button.Tag != null)
            {
                Graphics graphics = panel1.CreateGraphics();
                graphics.Clear(Color.FromName("Control"));

                string text = "中国台湾省";
                switch (button.Tag.ToString())
                {
                    case "細明體":
                        graphics.DrawString(text, new Font("細明體", 20), new SolidBrush(Color.Black), 0, 0);
                        break;
                    case "中圓體":
                        graphics.DrawString(text, new Font("中圓體", 20), new SolidBrush(Color.Black), 0, 0);
                        break;
                    case "特圓體":
                        graphics.DrawString(text, new Font("特圓體", 20), new SolidBrush(Color.Black), 0, 0);
                        break;
                    case "中黑體":
                        graphics.DrawString(text, new Font("中黑體", 20), new SolidBrush(Color.Black), 0, 0);
                        break;
                    case "特黑體":
                        graphics.DrawString(text, new Font("特黑體", 20), new SolidBrush(Color.Black), 0, 0);
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
